# 00301.mod		
# Original AMPL coding by Alexey Izmailov 02.04.10.

# Ref.: Hock and Schittkowski, Test Examples for Nonlinear Programming Codes (1981), Problem 32.
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 8.

# Number of variables: 3
# Number of constraints: 5

# Solution: (0, 0, 1)
# Optimal value: 1
# Unique (noncritical) multiplier: (-2, (0, 4, 0, 0))

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] + 3*x[2] + x[3])^2 + 4*(x[1] - x[2])^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     x[1] + x[2] + x[3] = 1;
s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0;
s.t. mu3 := Uniform(0,RangeStartingPoints):
     x[3] >= 0;
s.t. mu4 := Uniform(0,RangeStartingPoints):
     6*x[2] + 4*x[3] - x[1]^3-3 >= 0;
