# 00501.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Hock and Schittkowski, Test Examples for Nonlinear Programming Codes (1981), Problem 46 (modified).
# Ref.: Facchinei, Fischer, and Kanzow, SIAM J. Optim. (1999), 14-32, Example 2.
# Ref.: Wright, MP 95 (2003), 137-160, Example 2.
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 2.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 2.

# Number of variables: 5
# Number of constraints: 3

# Solution: (1, 1, 1, 1, 1)
# Optimal value: 0
# Unique (critical) multiplier: (0, 0, 0)

param RangeStartingPoints := 1;

option randseed 0;

var x{1..5} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] - x[2])^2 + (x[3] - 1)^2 + (x[4] - 1)^4 + (x[5] - 1)^6;   

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1]^2*x[4] + sin(x[4] - x[5]) >= 1;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] + x[3]^4*x[4]^2 >= 2;
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[2] >= -1;
