# 01001.mod		
# Original AMPL coding by Alexey Izmailov 02.04.10.

# Ref.: Hock and Schittkowski, Test Examples for Nonlinear Programming Codes (1981), Problem 113.
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 1.

# Number of variables: 10
# Number of constraints: 8

# Solution: (2.171996, 2.363683, 8.773926, 5.095984, 0.9906548, 1.430574, 1.321644, 9.828726, 8.280092, 8.375927)
# Optimal value: 24.3062091
# Unique (noncritical) multiplier: (1.716533, 0.4745202, 1.375927, 0.02054550, 0.3120287, 0, 0.2870494, 0)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..10} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2 + x[1]*x[2] - 14*x[1] - 16*x[2] + (x[3] - 10)^2 + 4*(x[4] - 5)^2 + (x[5]-3)^2 + 2*(x[6] - 1)^2 + 5*x[7]^2 + 7*(x[8] - 11)^2 + 2*(x[9] - 10)^2 + (x[10] - 7)^2 + 45;

s.t. mu1 := Uniform(0,RangeStartingPoints):
    105 - 4*x[1] - 5*x[2] + 3*x[7] - 9*x[8] >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -10*x[1] + 8*x[2] + 17*x[7] - 2*x[8] >= 0;
s.t. mu3 := Uniform(0,RangeStartingPoints):
    8*x[1] - 2*x[2] - 5*x[9] + 2*x[10] + 12 >= 0;
s.t. mu4 := Uniform(0,RangeStartingPoints):
    -3*(x[1] - 2)^2 - 4*(x[2] - 3)^2 - 2*x[3]^2 + 7*x[4] + 120 >= 0;
s.t. mu5 := Uniform(0,RangeStartingPoints):
    -5*x[1]^2 - 8*x[2] - (x[3] - 6)^2 + 2*x[4] + 40 >= 0;
s.t. mu6 := Uniform(0,RangeStartingPoints):
     -0.5*(x[1] - 8)^2 - 2*(x[2] - 4)^2 - 3*x[5]^2 + x[6] +30 >= 0;
s.t. mu7 := Uniform(0,RangeStartingPoints):
    -x[1]^2 - 2*(x[2] - 2)^2 + 2*x[1]*x[2] - 14*x[5] + 6*x[6] >= 0;
s.t. mu8 := Uniform(0,RangeStartingPoints):
    3*x[1]-6*x[2]-12*(x[9]-8)^2 + 7*x[10] >= 0;