# 10201.mod		
# Original AMPL coding by Alexey Izmailov 28.10.07.

# Ref.: Izmailov and Solodov, MPB 117 (2009), 271-304, Example 4.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 3.3.
# Ref.: Izmailov, Optimizat., DOI 10.1080/02331930802434922, Example 3.3.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier for I={1, 2}: (1/2, 1/2)

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1] + x[2]^2 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1] - x[2]^2 >= 0;