# 10205.mod		
# Original AMPL coding by Alexey Izmailov 27.11.07.

# Ref.: Wright, MP 95 (2003), 137-160, Example 1 (thee-circle problem).
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 6.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.2.

# Number of variables: 2
# Number of constraints: 3

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: none

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -(x[1] - 2)^2 - x[2]^4 >= -4;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -(x[1] - 4)^2 - x[2]^2 >= -16; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]^2 - (x[2] - 2)^2 >= -4; 
