# 10401.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Hock and Schittkowski, Test Examples for Nonlinear Programming Codes (1981), Problem 43 (modified).
# Ref.: Facchinei, Fischer, and Kanzow, SIAM J. Optim. 9 (1999), 14-32, Example 3.
# Ref.: Wright, MP 95 (2003), 137-160, Example 3.
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 3.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 7.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.3.

# Number of variables: 4
# Number of constraints: 4

# Solution: (0, 1, 2, -1)
# Optimal value: -44
# Critical multipliers: none?

param RangeStartingPoints := 100;

option randseed 0;

var x{1..4} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2 + 2*x[3]^2 + x[4]^2 - 5*x[1] - 5*x[2] - 21*x[3] + 7*x[4];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1]^2 - x[2]^2 - x[3]^2 - x[4]^2 - x[1] - x[2] - x[3] - x[4] >= -8; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1]^2 - 2*x[2]^2 - x[3]^2 - 2*x[4]^2 + x[1] + x[4] >= -10; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -2*x[1]^2 - x[2]^2 - x[3]^2 - 2*x[1] + x[2] + x[4] >= -5; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     x[2]^3 + 2*x[1]^2 + x[4]^2 + x[1] - 3*x[2] - x[3] + 4*x[4] >= -7; 
