# 10701.mod		
# Original AMPL coding by Alexey Izmailov 03.04.10.

# Ref.: Hock and Schittkowski, Test Examples for Nonlinear Programming Codes (1981), Problem 100 (modified).
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 5.

# Number of variables: 7
# Number of constraints: 5

# Solution: (2.330499;1.951372;-0.4775615;4.365727;-0.6244869;1.038131;1.594227)
# Optimal value: 680.6301
# Critical multipliers: none?

param RangeStartingPoints := 100;

option randseed 0;

var x{1..7} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] - 10)^2 + 5*(x[2] - 12)^2 + x[3]^4 + 3*(x[4] - 11)^2 + 10*x[5]^6 + 7*x[6]^2 + x[7]^4 - 4*x[6]*x[7] - 10*x[6] - 8*x[7];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -2*x[1]^2 - 3*x[2]^4 - x[3] - 4*x[4]^2 - 5*x[5] >= -127; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -7*x[1] - 3*x[2] - 10*x[3]^2 - x[4] + x[5] >= -282; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -23*x[1] - x[2]^2 - 6*x[6]^2 + 8*x[7]  >= -196; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     -4*x[1]^2 - x[2]^2 + 3*x[1]*x[2] - 2*x[3]^2 - 5*x[6] + 11*x[7] >= 0; 
s.t. mu5 := Uniform(0,RangeStartingPoints):
     -x[1]^2 - 1.5*x[2]^4 - 0.5*x[3] - 2*x[4]^2 - 2.5*x[5] >= -63.5; 