# 20202.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Izmailov, Comp. Math. Math. Phyz. 36 (1996), 10-17.
# Ref.: Izmailov and Tret''yakov, 2-Regular Solutions of Nonlinear Problems (1999), Example 4.1.1.
# Ref.: Izmailov, Comp. Math. Math. Phys. 45 (2005), 918-929, Example 1, 3, 4, 5.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 15.
# Ref.: Izmailov, Comp. Math. Math. Phys. 47 (2007), 533554, Example 1.
# Ref.: Izmailov and Solodov, MPB 117 (2009), 271-304, Example 3.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.20.

# Number of variables: 2
# Number of constraints: 1

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers: -1, 0 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 + x[2]^2 = 0; 