# 20209.mod		
# Original AMPL coding by Alexey Izmailov 08.06.09.

# Ref.: Fernandez and Solodov, MP DOI 10.1007/s10107-008-0255-4 (2009).

# Number of variables: 2
# Number of constraints: 3

# Solution: (0, 0)
# Optimal value: 0
# Critical multiplier for I={1, 2}: (0, 0, 0) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]*x[2] - x[2]^2/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[2]^2 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     2*x[1] - x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1] + 2*x[2] >= 0; 