# 20213.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Avakov, Arutyunov, and Izmailov, Comp. Math. Math. Phys. 48 (2008), 346-353, Example 2.

# Number of variables: 2
# Number of constraints: 3

# Solution: (0, 0)
# Degenerate solution: (0, 0)
# Optimal value: 0
# Critical multipliers for I = {1, 3}: (1, 0, mu_3), mu_3 >= 0 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1] - x[2]^3;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     (x[1] - 2*x[2]^3)*x[2] >= 0; 
