# 20219.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Izmailov, Math. Notes 66 (1999), 72-81, Example 2.
# Ref.: Izmailov and Solodov, SIAM J. Optim. 42 (2002), 1080-1295, Example 4.1.
# Ref.: Arutyunov and Izmailov, Comp. Math. Math. Phys. 44 (2004), 552574, Example 1, 5.
# Ref.: Arutyunov and Izmailov, MOR 30 (2005), 333353, Example 5.1.

# Number of variables: 2
# Number of constraints: 2

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers for I = {1, 2}: (1, 0) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     (x[1]^2 - x[2]^2)/2 >= 0;