# 20224.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Hock and Schittkowski, Test Examples for Nonlinear Programming Codes (1981), Problem 13.
# Ref.: Mostafa, Vicente, and Wright, Glogal Optimization and Constraint Satisfaction (2003), 123-141, Test problem 4.

# Number of variables: 2
# Number of constraints: 3

# Solution: (1, 0)
# Optimal value: 1
# No multipliers

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1] - 2)^2 + x[2]^2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0;
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0;
s.t. mu3 := Uniform(0,RangeStartingPoints):
     (1 - x[1])^3 - x[2] >= 0;