# 20303.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 18.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 2.4.

# Number of variables: 3
# Number of constraints: 2

# Solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers: (-6/5, 6/5) and (-2/3, 2/3) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2 + x[3]^2;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1] - x[2] - x[3] - x[1]^2 - x[2]^2 - x[3]^2 = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1] - x[2] - x[3] - x[1]*x[3] = 0; 