# 20307.mod		
# Original AMPL coding by Alexey Izmailov 24.06.09.

# Ref.: Avakov, Arutyunov, Izmailov, Comp. Math. Math. Phys. 44 (2004), 1684-1695, Example 4.

# Number of variables: 3
# Number of constraints: 2

# Solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers: lambda1=-1/2 or 4*lambda1^2+lambda2^2-2*lambda1=0 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1]^2/2 + x[2]^2/2;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 - x[2]^2 + x[3]^2 = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[3] = 0; 
