# 20311.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Arutyunov and Izmailov, Comp. Math. Math. Phys. 43 (2003), 178-193, Example 3.
# Ref.: Arutyunov and Izmailov, MP 100 (2004), 485515, Example 4.

# Number of variables: 3
# Number of constraints: 2

# Solution: (0, 0, 0)
# Optimal value: 0
# No multipliers

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1] + x[2]^2;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 - x[2]^2 + x[3]^2 = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*(x[1] - x[3] - x[3]^3) = 0; 
