# 20312.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Arutyunov and Izmailov, Comp. Math. Math. Phys. 43 (2003), 178-193, Example 6.
# Ref.: Arutyunov and Izmailov, MP 100 (2004), 485515, Example 7.

# Number of variables: 3
# Number of constraints: 2

# Solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers: lambda[1] = -1 or 4*lambda[1]^2 + 4*lambda[1]*lambda[2] - lambda[2]^2 - 12*lambda[1] - 4*lambda[2] + 8 = 0

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -2*x[1]^2 + x[2]^2 + x[3]^2;

s.t. lambda1 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]^2 - x[2]^2 + x[3]^2 = 0; 
s.t. lambda2 := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*(x[1] - x[3] - x[3]^3) = 0; 
