# 20313.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Avakov, Arutyunov, and Izmailov, Proceedings of the Steklov Institute of Mathematics 256 (2007), 225, Example 1.
# Ref.: Avakov, Arutyunov, and Izmailov, MP 114 (2008), 3768, Example 1.

# Number of variables: 3
# Number of constraints: 2

# Solutions: x[1] = 0, x[2]^2 <= x[3]^2
# Degenerate solution: (0, 0, 0)
# Optimal value: 0
# No multipliers

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1];

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[1]*x[3] = 0; 
s.t. mu := Uniform(0,RangeStartingPoints):
     -x[1]^2 - x[2]^2 + x[3]^2 >= 0; 
