# 20501.mod		
# Original AMPL coding by Alexey Izmailov 04.04.10.

# Ref.: Avakov, Arutyunov, and Izmailov, MP 114 (2008), 3768, Example 3.

# Number of variables: 5
# Number of constraints: 3

# Solutions: x[1]^2 = x[2], x[3] = 0, x[4]^2 <= x[5]^2
# Degenerate solution: (0, 0, 0, 0, 0)
# Optimal value: 0
# No multipliers

param RangeStartingPoints := 100;

option randseed 0;

var x{1..5} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[2] + x[3] - x[1]^2;

s.t. lambda := Uniform(-RangeStartingPoints,RangeStartingPoints):
     -x[3]*x[5] = 0; 
s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[2] - x[1]^2 >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[3]^2 - x[4]^2 + x[5]^2 >= 0; 
