# 30209.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Fletcher, Leyffer, Ralph, and Scholtes, SIAM J. Optim 17 (2006), 259-286, Section 7.2.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 28.
# Ref.: Izmailov and Solodov, COAP 42  (2009), Example 4.15.

# Number of variables: 2
# Number of constraints: 4

# Global solution: (2, 0)
# Optimal value: -2
# Local solution: (0, 2)
# Value at local solution: -1
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1] - x[2]/2;

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1] - x[2] >= -2; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[1]^2 - x[1] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     -(x[1]^2 - x[1])*x[2] >= 0; 