# 30210.mod		
# Original AMPL coding by Alexey Izmailov 21.11.07.

# Ref.: MacMPEC, ralph2.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 29.
# Ref.: Izmailov and Solodov, MPB 117 (2009), 271-304, Example 6.
# Ref.: Izmailov and Solodov, 42 (2009), 231-264, Example 3.5.

# Number of variables: 2
# Number of constraints: 3

# Solution: (0, 0)
# Optimal value: 0
# Critical multipliers for I={3}: (0, 0, 2) and (0, 0, 6) 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[1]^2 + x[2]^2 - 4*x[1]*x[2];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] >= 0; 
