# 30212.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: Anitescu, SIAM J. Optim. 15 (2005), 1203-1236, (2.15).
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 32.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.23.

# Number of variables: 2
# Number of constraints: 4

# Solution: (0, 0)
# Optimal value: 0
# No multipliers 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..2} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         x[2] - x[1];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[2] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     -x[1] - x[2] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     -x[2]*(x[1] + x[2]) >= 0;
