# 30302.mod		
# Original AMPL coding by Alexey Izmailov 28.11.07.

# Ref.: MacMPEC, scholtes4.
# Ref.: Fletcher, Leyffer, Ralph, and Scholtes, SIAM J. Optim 17 (2006), 259-286, Section 7.1.
# Ref.: Izmailov and Golishnikov, Comp. Math. Math. Phys. 46 (2006), 1299-1319, Example 31.
# Ref.: Izmailov and Solodov, COAP 42 (2009), 231-264, Example 4.24.

# Number of variables: 3
# Number of constraints: 5

# Solution: (0, 0, 0)
# Optimal value: 0
# No multipliers 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         -x[1] + x[2] + x[3];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     -x[1] + 4*x[2] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     -x[1] + 4*x[3] >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     x[3] >= 0;
s.t. mu5 := Uniform(0,RangeStartingPoints):
     -x[2]*x[3] >= 0;