# 30303.mod		
# Original AMPL coding by Alexey Izmailov 05.04.10.

# Ref.: Arutyunov and Izmailov, MOR 30 (2005), 333353, Example 6.3.

# Number of variables: 3
# Number of constraints: 5

# Solution: (0, 0, 0)
# Optimal value: 0
# Critical multipliers: none 

param RangeStartingPoints := 100;

option randseed 0;

var x{1..3} := Uniform(-RangeStartingPoints,RangeStartingPoints);

minimize f:
         (x[1]^2 + x[2]^2)/4 - x[3];

s.t. mu1 := Uniform(0,RangeStartingPoints):
     x[1] >= 0; 
s.t. mu2 := Uniform(0,RangeStartingPoints):
     x[1]*x[2] + 1 >= 0; 
s.t. mu3 := Uniform(0,RangeStartingPoints):
     x[2] >= 0; 
s.t. mu4 := Uniform(0,RangeStartingPoints):
     x[3] >= 0;
s.t. mu5 := Uniform(0,RangeStartingPoints):
     -x[1]*x[2] - (x[1]*x[2] + 1)*x[3] >= 0;